<?php
/**
 * Cooking Classes functions and definitions
 *
 * @package Cooking Classes
 */

/**
 * Set the content width based on the theme's design and stylesheet.
 */

if ( ! function_exists( 'cooking_classes_setup' ) ) :
/**
 * Sets up theme defaults and registers support for various WordPress features.
 *
 * Note that this function is hooked into the after_setup_theme hook, which runs
 * before the init hook. The init hook is too late for some features, such as indicating
 * support post thumbnails.
 */
function cooking_classes_setup() {
	global $content_width;
	if ( ! isset( $content_width ) )
		$content_width = 680;

	add_theme_support( 'automatic-feed-links' );
	add_theme_support( "responsive-embeds" );
	add_theme_support( 'align-wide' );
	add_theme_support( 'woocommerce' );
	add_theme_support( 'post-thumbnails' );
	add_theme_support( 'title-tag' );
	add_theme_support( 'wp-block-styles');
	add_theme_support( 'custom-header', array(
		'default-text-color' => false,
		'header-text' => false,
	) );
	add_theme_support( 'custom-logo', array(
		'height'      => 100,
		'width'       => 100,
		'flex-height' => true,
	) );
	register_nav_menus( array(
		'primary' => __( 'Primary Menu', 'cooking-classes' ),
	) );
	add_theme_support( 'custom-background', array(
		'default-color' => 'ffffff'
	) );
	add_theme_support( 'html5', array(
		'search-form',
		'comment-form',
		'comment-list',
		'gallery',
		'caption',
	) );

	/*
	 * Enable support for Post Formats.
	 */
	add_theme_support( 'post-formats', array('image','video','gallery','audio',) );

	add_editor_style( 'editor-style.css' );

	// Theme Activation Notice
	global $pagenow;

	if (
		is_admin()
		&&
		('themes.php' == $pagenow)
		// &&
		// isset( $_GET['activated'] )
	) {
		add_action('admin_notices', 'cooking_classes_deprecated_hook_admin_notice');
	}
}
endif; // cooking_classes_setup
add_action( 'after_setup_theme', 'cooking_classes_setup' );

function cooking_classes_the_breadcrumb() {
    echo '<div class="breadcrumb my-3">';

    if (!is_home()) {
        echo '<a class="home-main align-self-center" href="' . esc_url(home_url()) . '">';
        bloginfo('name');
        echo "</a>";

        if (is_category() || is_single()) {
            the_category(' , ');
            if (is_single()) {
                echo '<span class="current-breadcrumb mx-3">' . esc_html(get_the_title()) . '</span>';
            }
        } elseif (is_page()) {
            echo '<span class="current-breadcrumb mx-3">' . esc_html(get_the_title()) . '</span>';
        }
    }

    echo '</div>';
}

function cooking_classes_widgets_init() {
	register_sidebar( array(
		'name'          => __( 'Blog Sidebar', 'cooking-classes' ),
		'description'   => __( 'Appears on blog page sidebar', 'cooking-classes' ),
		'id'            => 'sidebar-1',
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Page Sidebar', 'cooking-classes' ),
		'id'            => 'sidebar-2',
		'description'   => __( 'Add widgets here to appear in your sidebar on pages.', 'cooking-classes' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Sidebar 3', 'cooking-classes' ),
		'id'            => 'sidebar-3',
		'description'   => __( 'Add widgets here to appear in your sidebar on blog posts and archive pages.', 'cooking-classes' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Shop Page Sidebar', 'cooking-classes' ),
		'description'   => __( 'Appears on shop page', 'cooking-classes' ),
		'id'            => 'woocommerce_sidebar',
		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
		'after_widget'  => '</aside>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar(array(
        'name'          => __('Single Product Sidebar', 'cooking-classes'),
        'description'   => __('Sidebar for single product pages', 'cooking-classes'),
		'id'            => 'woocommerce-single-sidebar',
        'before_widget' => '<aside id="%1$s" class="widget %2$s">',
        'after_widget'  => '</aside>',
        'before_title'  => '<h3 class="widget-title">',
        'after_title'   => '</h3>',
    ));

	$cooking_classes_widget_areas = get_theme_mod('cooking_classes_footer_widget_areas', '4');
	for ($cooking_classes_i=1; $cooking_classes_i <= 4; $cooking_classes_i++) {
		register_sidebar( array(
			'name'          => __( 'Footer Widget ', 'cooking-classes' ) . $cooking_classes_i,
			'id'            => 'footer-' . $cooking_classes_i,
			'description'   => '',
			'before_widget' => '<aside id="%1$s" class="widget %2$s">',
			'after_widget'  => '</aside>',
			'before_title'  => '<h3 class="widget-title">',
			'after_title'   => '</h3>',
		) );
	}
}
add_action( 'widgets_init', 'cooking_classes_widgets_init' );

// Change number of products per row to 4
add_filter('loop_shop_columns', 'cooking_classes_loop_columns');
if (!function_exists('cooking_classes_loop_columns')) {
    function cooking_classes_loop_columns() {
        $colm = get_theme_mod('cooking_classes_products_per_row', 4); // Default to 4 if not set
        return $colm;
    }
}

// Use the customizer setting to set the number of products per page
function cooking_classes_products_per_page($cols) {
    $cols = get_theme_mod('cooking_classes_products_per_page', 9); // Default to 9 if not set
    return $cols;
}
add_filter('loop_shop_per_page', 'cooking_classes_products_per_page', 9);

function cooking_classes_scripts() {

	wp_enqueue_style( 'bootstrap-css', get_template_directory_uri()."/css/bootstrap.css" );
	wp_enqueue_style( 'owl.carousel-css', get_template_directory_uri()."/css/owl.carousel.css" );
	wp_enqueue_style( 'cooking-classes-basic-style', get_stylesheet_uri() );
	wp_enqueue_style( 'cooking-classes-default',get_template_directory_uri()."/css/default.css" );
	require get_parent_theme_file_path( '/inc/color-scheme/custom-color-control.php' );
	wp_add_inline_style( 'cooking-classes-basic-style',$cooking_classes_color_scheme_css );
	
	wp_enqueue_script( 'owl.carousel-js', get_template_directory_uri(). '/js/owl.carousel.js', array('jquery') );
	wp_enqueue_script( 'bootstrap-js', get_template_directory_uri(). '/js/bootstrap.js', array('jquery') );
	wp_enqueue_script( 'cooking-classes-theme',get_template_directory_uri() . '/js/theme.js' );
	wp_enqueue_style( 'font-awesome-css', get_template_directory_uri()."/css/fontawesome-all.css" );
	wp_enqueue_style( 'cooking-classes-block-style',  get_template_directory_uri().'/css/blocks.css' );
	wp_enqueue_style('cooking-classes-style', get_stylesheet_uri(), array() );
		wp_style_add_data('cooking-classes-style', 'rtl', 'replace');	
	/*--------------------------- Animations -------------------*/
    if ( get_theme_mod( 'cooking_classes_animation_enabled', true ) ) {
		wp_enqueue_script( 'wow-jquery', get_template_directory_uri() . '/js/wow.js', array('jquery'),'' ,true );
        wp_enqueue_style( 'animate-style', get_template_directory_uri().'/css/animate.css' );
    }

	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}

	// font-family
	$cooking_classes_headings_font = esc_html(get_theme_mod('cooking_classes_headings_fonts'));
	$cooking_classes_body_font = esc_html(get_theme_mod('cooking_classes_body_fonts'));

	if ($cooking_classes_headings_font) {
	    wp_enqueue_style('cooking-classes-headings-fonts', 'https://fonts.googleapis.com/css?family=' . urlencode($cooking_classes_headings_font));
	} else {
	    wp_enqueue_style('poppins-headings', 'https://fonts.googleapis.com/css?family=Poppins:0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900');
	}

	if ($cooking_classes_body_font) {
	    wp_enqueue_style('cooking-classes-body-fonts', 'https://fonts.googleapis.com/css?family=' . urlencode($cooking_classes_body_font));
	} else {
	    wp_enqueue_style('poppins-body', 'https://fonts.googleapis.com/css?family=Poppins:0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900');
	}

}
add_action( 'wp_enqueue_scripts', 'cooking_classes_scripts' );

/**
 * Implement the Custom Header feature.
 */
require get_template_directory() . '/inc/custom-header.php';

/**
 * Custom template tags for this theme.
 */
require get_template_directory() . '/inc/template-tags.php';

/**
 * Customizer additions.
 */
require get_template_directory() . '/inc/customizer.php';

/**
 * Sanitization Callbacks.
 */
require get_template_directory() . '/inc/sanitization-callbacks.php';

/**
 * Theme Info.
 */
require get_template_directory() . '/inc/addon.php';

/**
 * Webfont-Loader.
 */
require get_template_directory() . '/inc/wptt-webfont-loader.php';

/**
 * Google Fonts
 */
require get_template_directory() . '/inc/gfonts.php';

/**
 * Load TGM.
 */
require get_template_directory() . '/inc/tgm/tgm.php';

/**
 * Customizer additions.
 */
require get_template_directory() . '/inc/upgrade-to-pro.php';

// select
require get_template_directory() . '/inc/select/category-dropdown-custom-control.php';

/* Starter Content */
	add_theme_support( 'starter-content', array(
		'widgets' => array(
			'footer-1' => array(
				'categories',
			),
			'footer-2' => array(
				'archives',
			),
			'footer-3' => array(
				'meta',
			),
			'footer-4' => array(
				'search',
			),
		),
    ));

function cooking_classes_setup_theme() {
	if ( ! defined( 'COOKING_CLASSES_THEME_PAGE' ) ) {   
	define('COOKING_CLASSES_THEME_PAGE',__('https://www.theclassictemplates.com/collections/best-wordpress-templates','cooking-classes'));
	}
	if ( ! defined( 'COOKING_CLASSES_SUPPORT' ) ) {
	define('COOKING_CLASSES_SUPPORT',__('https://wordpress.org/support/theme/cooking-classes','cooking-classes'));
	}
	if ( ! defined( 'COOKING_CLASSES_REVIEW' ) ) {
	define('COOKING_CLASSES_REVIEW',__('https://wordpress.org/support/theme/cooking-classes/reviews/','cooking-classes'));
	}
	if ( ! defined( 'COOKING_CLASSES_PRO_DEMO' ) ) {
	define('COOKING_CLASSES_PRO_DEMO',__('https://live.theclassictemplates.com/cooking-classes/','cooking-classes'));
	}
	if ( ! defined( 'COOKING_CLASSES_PREMIUM_PAGE' ) ) {
	define('COOKING_CLASSES_PREMIUM_PAGE',__('https://www.theclassictemplates.com/products/cooking-wordpress-theme','cooking-classes'));
	}
	if ( ! defined( 'COOKING_CLASSES_THEME_DOCUMENTATION' ) ) {
	define('COOKING_CLASSES_THEME_DOCUMENTATION',__('https://live.theclassictemplates.com/demo/docs/cooking-classes-free/','cooking-classes'));
	}
	if ( ! defined( 'COOKING_CLASSES_BUNDLE_PAGE' ) ) {
		define('COOKING_CLASSES_BUNDLE_PAGE',__('https://www.theclassictemplates.com/products/wordpress-theme-bundle','cooking-classes'));
	}
	// Footer Link
	define('COOKING_CLASSES_FOOTER_LINK',__('https://www.theclassictemplates.com/products/free-cooking-wordpress-theme','cooking-classes'));
}
add_action('after_setup_theme', 'cooking_classes_setup_theme');

/* Activation Notice */
function cooking_classes_deprecated_hook_admin_notice() {
	 $cooking_classes_theme = wp_get_theme();
	$cooking_classes_meta = get_option( 'cooking_classes_admin_notice' );

	if (!$cooking_classes_meta) {
    ?>
        <div id="cooking-classes-welcome-notice" class="getstrat updated notice notice-success welcome-notice is-dismissible notice-get-started-class">
            <div class="admin-image">
                <img src="<?php echo esc_url(get_stylesheet_directory_uri()) .'/screenshot.png'; ?>" />
            </div>
            <div class="admin-content" >
                <h1><?php 
				/* translators: 1: Theme name, 2: Theme version. */
				printf( esc_html__( 'Welcome to %1$s %2$s', 'cooking-classes' ), esc_html($cooking_classes_theme->get( 'Name' )), esc_html($cooking_classes_theme->get( 'Version' ))); ?>
                </h1>
                <p><?php _e('Get Started With Theme By Clicking On Getting Started.', 'cooking-classes'); ?></p>
                <div style="display: grid;">
                    <a class="admin-notice-btn button button-hero upgrade-pro" target="_blank" href="<?php echo esc_url( COOKING_CLASSES_PREMIUM_PAGE ); ?>"><?php esc_html_e('Upgrade Pro', 'cooking-classes') ?><i class="dashicons dashicons-cart"></i></a>
                    <a class="admin-notice-btn button button-hero" href="<?php echo esc_url( admin_url( 'themes.php?page=cooking-classes' )); ?>"><?php esc_html_e( 'Get started', 'cooking-classes' ) ?><i class="dashicons dashicons-backup"></i></a>
                    <a class="admin-notice-btn button button-hero" target="_blank" href="<?php echo esc_url( COOKING_CLASSES_THEME_DOCUMENTATION ); ?>"><?php esc_html_e('Free Doc', 'cooking-classes') ?><i class="dashicons dashicons-visibility"></i></a>
                    <a  class="admin-notice-btn button button-hero" target="_blank" href="<?php echo esc_url( COOKING_CLASSES_PRO_DEMO ); ?>"><?php esc_html_e('View Demo', 'cooking-classes') ?><i class="dashicons dashicons-awards"></i></a>
                </div>
            </div>
			<div class="admin-bundle-image">
				<a href="<?php echo esc_url( COOKING_CLASSES_BUNDLE_PAGE ); ?>" target="_blank"><img src="<?php echo esc_url(get_stylesheet_directory_uri()) .'/images/image_1.webp'; ?>" /></a>
			</div>
        </div>
	<?php
    }
}
// Admin notice code START
function cooking_classes_dismissed_notice() {
	update_option( 'cooking_classes_admin_notice', true );
}
add_action( 'wp_ajax_cooking_classes_dismissed_notice', 'cooking_classes_dismissed_notice' );


//After Switch theme function
add_action('after_switch_theme', 'cooking_classes_getstart_setup_options');
function cooking_classes_getstart_setup_options () {
    update_option('cooking_classes_admin_notice', false );
}
// Admin notice code END